import { StyleSheet } from 'react-native';

const Styles = StyleSheet.create({
  container: {
  flex: 1,
  justifyContent: 'center',
  alignItems: 'center',
},
barcodeScannerContainer: {
  flex: 1,
  width: '100%',
  height: '50%',
  justifyContent: 'center',
  alignItems: 'center',
},
topButton: {
  position: 'absolute',
  backgroundColor: '#E2A755',
  color: 'white',
  marginTop: 0
},
  title: {
    fontSize: 20,
    fontWeight: 'bold',
    marginBottom: 16,
  },
  itemRow: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    padding: 10,
  },
  totalPriceContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginTop: 16,
    borderWidth: 1,
    borderColor: 'black',
    padding: 5,
    margin: 5
  },
  totalText: {
    fontSize: 16,
  },
  noCameraMessage: {
    marginTop : 0
  },
  cardContainer: {
    flex: 2,
    justifyContent: 'center',
    alignItems: 'center',
  },
  card: {
    backgroundColor: 'white',
    padding: 10,
    borderRadius: 10,
    elevation: 2,
    width: '50%',
  },
  fieldContainer: {
    marginBottom: 10,
  },
  textInput: {
    borderWidth: 1,
    borderColor: 'gray',
    borderRadius: 5,
    padding: 5,
    marginBottom: 10,
  },
  cardBackground: {
      flex: 1,
      resizeMode: 'cover',
      justifyContent: 'center',
      alignItems: 'center',
      zIndex: 0,
  },
});

export default Styles;
